<?php 
/* 
   MasterSoft Software Solutions Ltd. - www.mastersoft.at - October. 2009 
   info@mastersoft.at
   This file is licensed under terms of the MPT Open License.
   You can find the license under http://www.mastersoft.at/content/view/26/34/lang,de/    
*/

// no direct access
defined('_JEXEC') or die('Restricted Access');

$componentURL =  JURI::base() . 'components/com_mastersoftvideoplayer';

$doc =& JFactory::getDocument();
$doc->addStyleSheet('components/com_mastersoftvideoplayer/css/player.css');
$doc->addScript('components/com_mastersoftvideoplayer/flowplayer/flowplayer-3.1.1.min.js');
$doc->addScript('components/com_mastersoftvideoplayer/js/jquery-1.3.2.min.js');
$doc->addScript('components/com_mastersoftvideoplayer/js/tools.scrollable-1.0.5.min.js');
?>

<div id="playerBox" class="playerBox">	
	<div id="playerSelection" class="playerSelection">
		<p>
			The selected video is available as Flash or as Quicktime video.	  		
	  		Select your preferred player.
		</p>
		<br/>
		<p>
			<img style="cursor: pointer;" alt="flash video" src="<?php echo $componentURL . '/img/flash.gif'?>" onclick="playVideoAsFlash()" />
			<img style="cursor: pointer;" alt="quicktime video" src="<?php echo $componentURL . '/img/qt.gif'?>" onclick="playVideoAsQT()" />
		</p>	
	</div>	
	<div id="noQuicktime" class="noQuicktime">
	    You don't have the necessary Quicktime Pulgin installed.<br/>
		You can download the Pulgin <a href="http://www.apple.com/quicktime/" target="_blank">here</a>.
	</div>	
	<div id="player" class="player"></div>	
	<div id="qtPlayer" class="qtPlayer">
		<iframe style="margin: auto;" id="playerFrame" name="playerFrame" width="0" height="0" frameborder="0" scrolling="no" src=""></iframe>
	</div>		
</div>

<div class="scrollableOuterBox">
	<div class="scrollableInnerBox">
		<a class="prev"></a> 
		<div class="scrollable">          
  			<div id="thumbs">  
  				<?php 
  				$count = 0;
  				foreach($this->videos as $video)
  				{
  					if($count == 0)
  					{ 
  					?>  					             
	        			<div class="firstScrollableEntry" onclick="playVideo(<?php echo $count; ?>,'<?php echo $video[0]; ?>','<?php echo $video[1]; ?>','<?php echo $video[5]; ?>','<?php echo $video[6]; ?>')">                  		
	            			<img alt="<?php echo $video[1]; ?>" src="<?php echo $video[2]; ?>" align="middle" />              
	           				<h3><?php echo $video[3]; ?></h3>				
							<p class="playListDescription" >
								<?php echo $video[4]; ?>
							</p>						  
	        			</div>
        			<?php
  					}
  					else
  					{
  					?>  					             
	        			<div class="scrollableEntry" onclick="playVideo(<?php echo $count; ?>,'<?php echo $video[0]; ?>','<?php echo $video[1]; ?>','<?php echo $video[5]; ?>','<?php echo $video[6]; ?>')">                  		
	            			<img alt="<?php echo $video[1]; ?>" src="<?php echo $video[2]; ?>" align="middle" />              
	           				<h3><?php echo $video[3]; ?></h3>				
							<p class="playListDescription" >
								<?php echo $video[4]; ?>
							</p>						  
	        			</div>
        			<?php	
  					}
					$count++;
  				}
				?> 
    		</div>      
		</div>  
		<a id="next" class="next"></a>
	</div>
</div>
<div class="masterSoftLink">
  <div class="innerLinkContainer">
  	<a href="http://www.mastersoft.at" target="_blank" title="MasterSoft Software Solutions">www.mastersoft.at</a>
  </div>
</div>

<script type="text/javascript">
	

<!-- 
var currentFlashVid;
var currentQtVid;
var currentVidNumber;
var isLoadedFlash = false;
var isLoadedSelection = false;
var currentWidth;
var currentHeight;
var lastFlashHeight = 0;
var videosCount = <?php echo count($this->videos);  ?>

$(function() 
{	        
       
    // initialize scrollable  
   var api = $("div.scrollable").scrollable({
		size: 4,
		items: '#thumbs',  
		hoverClass: 'hover',
		api:true
	});
	
	if(videosCount <= 4)
		document.getElementById('next').style.display = "none";
	
	<?php
		$videoNumber = JRequest::getVar("videoNumber",-1);
		if($videoNumber >= 0)
		{
			?>
				playVideo(<?php echo $videoNumber; ?>,'<?php echo $this->videos[$videoNumber][0]; ?>',
						  '<?php echo $this->videos[$videoNumber][1]; ?>','<?php echo $this->videos[$videoNumber][5]; ?>',
						  '<?php echo $this->videos[$videoNumber][6]; ?>');
				api.click(<?php echo $videoNumber; ?>);
				
			<?php
		}
	 ?>
		
});


function playVideo(number,flashVid,qtVid,width,height)
{
	currentFlashVid = flashVid;
	currentQtVid = qtVid;	
	currentVidNumber = number;
	currentWidth = width;
	currentHeight = height;
	
	if(flashVid	 && ! qtVid)
		playVideoAsFlash();
	
	if(!flashVid	 && qtVid)
		playVideoAsQT();
		
	if(flashVid	 && qtVid)
		selectPlayer();
} 

function playVideoAsFlash()
{
	document.getElementById("noQuicktime").style.display = "none";
	document.getElementById("qtPlayer").style.visibility = "hidden";
	document.getElementById("playerFrame").height = 0;
	document.getElementById("playerFrame").width = 0;	
	document.getElementById("playerSelection").style.display = "none";	
	
	currentHeight = parseInt(currentHeight);
	document.getElementById("player").style.width = "" + currentWidth +"px";
	document.getElementById("player").style.height = "" + (currentHeight+20) +"px";
	document.getElementById("player").style.visibility = "visible";
	//calculate and set middle position
	
	
	if(isLoadedFlash)
	{
		$f().unload();
	}
	
	
	flowplayer("player", "<?php echo $componentURL . '/flowplayer/flowplayer-3.1.1.swf'?>", 
	{
		
	     clip: {
	     	url: currentFlashVid,
	     	autoPlay: true,
	     	autoBuffering: true,
	     	bufferLength: 5
	     },
	     plugins:{
			controls:{				
				playlist: false,
				fullscreen: false,
				scaling: 'orig',
				volume: true
			}
		}
	});
		
	 	
	isLoadedFlash = true;	
	
	lastFlashHeight = currentHeight;
	
}

function playVideoAsQT()
{	
	document.getElementById("player").style.visibility = "hidden";				
	currentHeight = parseInt(currentHeight);
	
	if(isLoadedFlash)
	{
		$f().stop();
		document.getElementById("qtPlayer").style.top = "" + ((lastFlashHeight+20) * -1) + "px";
	}
		
	if(isQTInstalled())
	{
		document.getElementById("noQuicktime").style.display = "none";
		document.getElementById("qtPlayer").style.visibility = "hidden";
		document.getElementById("playerSelection").style.display = "none";		
		
		document.getElementById("playerFrame").height = currentHeight+16;
		document.getElementById("playerFrame").width = currentWidth;
		document.getElementById("playerFrame").src = '<?php echo $componentURL; ?>/views/mastersoftvideoplayer/qtPlayer.php?width=' + currentWidth + '&height=' + (currentHeight + 16) +'&video=' + currentQtVid;

		var playerBoxWidth = document.getElementById('playerBox').offsetWidth;
		var frameLeftPosition = (currentWidth - playerBoxWidth) / 2;
		document.getElementById("qtPlayer").style.left = "" + frameLeftPosition * -1 + "px";
		 					
		window.setTimeout("document.getElementById('qtPlayer').style.visibility = 'visible'",200)
	}
	else
	{
		document.getElementById("noQuicktime").style.display = "block";
		document.getElementById("qtPlayer").style.visibility = "hidden";
		document.getElementById("playerSelection").style.display = "none";	
	}
}

function selectPlayer()
{		
	document.getElementById("player").style.visibility = "hidden";
	document.getElementById("qtPlayer").style.visibility = "hidden";	
	document.getElementById("playerSelection").style.display = "block";
	document.getElementById("noQuicktime").style.display = "none";
	
	isLoadedSelection = true;	
}

function isQTInstalled()
{
	var haveqt = false;
	if (navigator.plugins) 
	{
		for (i=0; i < navigator.plugins.length; i++ ) 
		{
			if (navigator.plugins[i].name.indexOf("QuickTime") >= 0)
			{			
				haveqt = true;
				break;
			}
		}
	}

	if(	(navigator.appVersion.indexOf("Mac") > 0)&& 
		(navigator.appName.substring(0,9) == "Microsoft")&& 
		(parseInt(navigator.appVersion) < 5) )
	{ 
			haveqt = true; 
	}
	
	return haveqt;
}

-->
</script>

